---
title: Bank Account Verification Delete
slug: us-apis/bank-account-verification-delete
createdAt: 2025-12-21T14:37:01.495Z
---

## Introduction

The Delete API is used to delete an active bank connection associated with a customer.
This API permanently removes all bank account data linked to a specific `loginId`. **LoginId&#x20;**&#x77;ill be generated when the customer is first connected using Generate Link API.

This is useful when:

- A user wants to disconnect their bank account
- A connection needs to be revoked due to any reason
- The client wants to clean up unused or invalid connections

Currently, the Delete API is supported **only for the US region (Flinks)**.

Billing is calculated based on the number of active Login IDs for each calendar month. For example, Any Login ID created on 28th November and remaining active until 15th December will be billed for both November and December, as it spans two calendar months.

***

## API Details

### Sample cURL

::::Tabs
:::Tab{title="Production"}
```curl
curl --location --request POST 'https://api.signzy.us/api/v3/global-bank-verification/delete' \
--header 'Authorization: <Auth Token>' \
--header 'Content-Type: application/json' \
--data '{
  "customerId": "6524e64350d7ee6ceb4ed667",
  "country": "US",
  "loginId": "130f7659-9c69-40a0-b195-00c404245f57"
}'
```
:::

:::Tab{title="Pre-Production"}
```curl
curl --location --request POST 'https://api-preproduction.signzy.us/api/v3/global-bank-verification/delete' \
--header 'Authorization: <Auth Token>' \
--header 'Content-Type: application/json' \
--data '{
  "customerId": "6524e64350d7ee6ceb4ed667",
  "country": "US",
  "loginId": "130f7659-9c69-40a0-b195-00c404245f57"
}'
```
:::
::::

### Request Body Parameters

| **Parameter Name** | **Data Type** | **Required** | **Description**                                                                                                                     |
| ------------------ | ------------- | ------------ | ----------------------------------------------------------------------------------------------------------------------------------- |
| customerId         | string        | Yes          | A unique 24 digit clientid assigned to Signzy's customer. Client has to send the same id each request for tracking at Signzy's end. |
| country            | string        | Yes          | Country of bank account. Supported value: US                                                                                        |
| loginId            | string        | Yes          | Login ID generated after completing the Generate Link journey                                                                       |

### Sample Response

:::CodeblockTabs
Delete Successful

```json
{
  "result": {
    "statusCode": 200,
    "loginId": "130f7659-9c69-40a0-b195-00c404245f57",
    "action": "SUCCESSFUL",
    "message": "All of the information about LoginId 130f7659-9c69-40a0-b195-00c404245f57 has been removed"
  }
}

```

Card In Use

```json
{
  "result": {
    "statusCode": 400,
    "loginId": "abcd123",
    "action": "CARD_IN_USE",
    "message": "You can't remove the card and use the card in parallel. Please stop using the card and remove it again"
  }
}

```
:::

:::hint{type="info"}
## Delete Flow&#x20;

- When statusCode is 200, the bank connection and all associated data are successfully deleted.&#x20;
- When statusCode is 400 with action CARD\_IN\_USE, the connection is currently in use and cannot be deleted. The client must retry after stopping usage.
:::

### Response Body Parameters

| Parameter         | Description                           |
| ----------------- | ------------------------------------- |
| result.statusCode | Status returned by the delete process |
| result.loginId    | Login ID requested for deletion       |
| result.action     | Action taken by Signzy                |
| result.message    | Message returned from Flinks          |

### Sample Error

:::CodeblockTabs
404

```json
Case of wrong login Id

{
    "error": {
        "name": "error",
        "message": "No tracking data found for loginId: <loginId>",
        "status": 404,
        "reason": "ERROR",
        "type": "Not Found",
        "statusCode": 404
    }
}
```

400

```json

{
    "error": {
        "name": "error",
        "message": "LoginId: <loginId> is already deleted",
        "status": 400,
        "reason": "ERROR",
        "type": "Bad Request",
        "statusCode": 400
    }
}
```

Bad Request

```json
{
    "error": {
        "name": "error",
        "message": "..message..",
        "status": 400,
        "reason": "VALIDATION_REQUEST",
        "type": "Bad Request",
        "statusCode": 400
    }
}
```

Upstream Error

```json
{
    "error": {
        "name": "error",
        "message": "Upstream is down",
        "status": 409,
        "reason": "ERROR",
        "type": "Conflict",
        "statusCode": 409
    }
}
```
:::

### Error Response Parameters

| **Parameter**    | **Description**                    |
| ---------------- | ---------------------------------- |
| error            | This parameter contains the error. |
| error.name       | the name of the error              |
| error.message    | the error message                  |
| error.status     | status of the api                  |
| error.reason     | Reason for error                   |
| error.type       | Type of the error                  |
| error.statusCode | Request Status code from Signzy    |

:::hint{type="info"}
### Getting help

Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.

You can reach out to us at [help@signzy.com](#). We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.

We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!
:::



